Subject: input stream crash with gcc 3.1
From: "Dylan Cuthbert" <[email-masked]>
To: [email-masked]
Date: Mon, 18 Mar 2002 17:04:06 +0900
Newsgroups: gmane.os.cygwin

I have recently compiled the latest 3.1 branch (grabbed directly via cvs)
for cygwin (1.3.9) and am having problems when using anything related at all
to input streams.

ie. the simplest program:
(stripped for simplicity)

main()
{
string frog;
cin >> frog;
}

will crash with a signal exception after the user has input some text and
pressed return.

This seems inherent with all the input stream methods when using the
operator>> - ie. stringstream also crashes, and so does ifstream.

I've scanned the newsgroups and mailing lists and searched high and low but
I don't see anyone else with this problem so have I screwed something up
somewhere?

my gcc specs are attached.

Regards

---------------------------------
Q-Games, Dylan Cuthbert.
http://www.q-games.com/personal/utils

--
---------------------------------
有限会社 Q-Games, Dylan Cuthbert.
http://www.q-games.com
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/